Name:           netcdf-decoders
Version:        5.0.0
Release:        4%{?dist}
Summary:        Converts WMO GRIB products into NetCDF files

Group:          Applications/Engineering
License:        MIT
URL:            http://www.unidata.ucar.edu/software/decoders/
Source0:        ftp://ftp.unidata.ucar.edu/pub/decoders/decoders-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  netcdf-devel, udunits-devel


%description
The NetCDF Decoders package converts WMO GRIB products and textual bulletins
into NetCDF formatted files. This package usually works in conjunction with
the LDM package to covert incoming products to the NetCDF format without the
need to store the raw data. The gribtonc decoder converts most models in the
GRIB format. There are perl decoders for the following textual report types:
METAR, buoy, upper air, and synoptic products. This package requires the
installation of NetCDF, UDUNITS, and the Perl-NetCDF packages to work.

This package is being deprecated because of it's limitation of not being able
to decode Grib2, compile problems, and static parameter table.


%prep
%setup -q -n decoders-%{version}
# We do our customization explicitly below
rm -f src/CUSTOMIZE


%build
cd src
export CC=gcc
export CPP_NETCDF=-I%{_includedir}/netcdf
export LD_NETCDF="-lnetcdf"
export LD_UDUNITS="-ludunits"
%configure
make %{?_smp_mflags}


%install
cd src
rm -rf $RPM_BUILD_ROOT
%makeinstall ETCDIR=$RPM_BUILD_ROOT%{_datadir}/%{name} \
             MANDIR=$RPM_BUILD_ROOT%{_mandir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc src/COPYRIGHT src/RELEASE-NOTES
%{_bindir}/gribdump
%{_bindir}/gribtocdl
%{_bindir}/gribtonc
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/ecmwf_1-12.cdl
%{_datadir}/%{name}/eta_211.cdl
%{_datadir}/%{name}/gfs_21-24.cdl
%{_datadir}/%{name}/gfs_211.cdl
%{_datadir}/%{name}/gfs_25-26.cdl
%{_datadir}/%{name}/gfs_37-44.cdl
%{_datadir}/%{name}/gribtonc.entries
%{_datadir}/%{name}/ngm_211.cdl
%{_datadir}/%{name}/ocean_21-24.cdl
%{_datadir}/%{name}/ruc2_236.cdl
%{_datadir}/%{name}/ruc_211.cdl
%{_datadir}/%{name}/sst_21-24.cdl
%{_datadir}/%{name}/sst_61-64.cdl
%{_mandir}/man1/gribdump.1.gz
%{_mandir}/man1/gribtocdl.1.gz
%{_mandir}/man1/gribtonc.1.gz


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 19 2008 - Orion Poplawski <orion@cora.nwra.com> - 5.0.0-3
- New netcdf location

* Thu Aug 28 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 5.0.0-2
- Fix unowned directory /usr/share/netcdf-decoders

* Sat Feb  9 2008 - Orion Poplawski <orion@cora.nwra.com> - 5.0.0-1
- Update to 5.0.0

* Thu Aug 23 2007 - Orion Poplawski <orion@cora.nwra.com> - 4.1.6-1
- Update to 4.1.6
- Update license tag to MIT
- Rebuild for BuildID

* Tue May 22 2007 - Orion Poplawski <orion@cora.nwra.com> - 4.1.5-1
- Update to 4.1.5
- Build with netcdf 3.6.2 with shared libraries

* Mon Nov 13 2006 - Orion Poplawski <orion@cora.nwra.com> - 4.1.4-1
- Initial version
